<?php

namespace Modules\User\Enums;


Enum UserRoleEnum: int
{
    case SUPER_ADMIN = 1;
    case ADMIN = 2;
    case SUB_ADMIN = 3;
    case PARENT = 4;
    case CHILD = 5;
    case CANTEEN = 6;
    case CANTEEN_MODERATOR = 7;

    public static function admins()
    {
        return [
            Self::SUPER_ADMIN->value,
            Self::ADMIN->value,
            Self::SUB_ADMIN->value
        ];
    }
    public static function canteen_admins()
    {
        return [
            Self::CANTEEN->value,
            Self::CANTEEN_MODERATOR->value,
        ];
    }
}
